inherited GdbWidget: TGdbWidget
  Left = 840
  Height = 668
  Top = 219
  Width = 672
  Caption = 'GDB commander'
  ClientHeight = 668
  ClientWidth = 672
  inherited Content: TPanel
    Height = 626
    Top = 42
    Width = 672
    ClientHeight = 626
    ClientWidth = 672
    object Panel1: TPanel[0]
      Left = 0
      Height = 383
      Top = 205
      Width = 672
      Align = alClient
      AutoSize = True
      BevelOuter = bvNone
      ClientHeight = 383
      ClientWidth = 672
      TabOrder = 0
      object GroupBox3: TGroupBox
        Left = 0
        Height = 177
        Top = 206
        Width = 672
        Align = alClient
        Caption = 'CPU'
        ClientHeight = 158
        ClientWidth = 670
        TabOrder = 0
        object cpuViewer: TTIPropertyGrid
          Left = 0
          Height = 158
          Hint = 'cpu registers'
          Top = 0
          Width = 670
          Align = alClient
          CheckboxForBoolean = True
          DefaultValueFont.Color = clWindowText
          Filter = [tkUnknown, tkInteger, tkChar, tkEnumeration, tkFloat, tkSet, tkMethod, tkSString, tkLString, tkAString, tkWString, tkVariant, tkArray, tkRecord, tkInterface, tkClass, tkObject, tkWChar, tkBool, tkInt64, tkQWord, tkDynArray, tkInterfaceRaw, tkProcVar, tkUString, tkUChar, tkHelper, tkFile, tkClassRef, tkPointer]
          Indent = 10
          NameFont.Color = clWindowText
          PreferredSplitterX = 200
          SplitterX = 200
          ValueFont.Color = clMaroon
        end
      end
      object Splitter4: TSplitter
        Cursor = crVSplit
        Left = 0
        Height = 6
        Top = 200
        Width = 672
        Align = alTop
        ResizeAnchor = akTop
      end
      object PageControl2: TPageControl
        Left = 0
        Height = 200
        Top = 0
        Width = 672
        ActivePage = TabSheet3
        Align = alTop
        TabIndex = 0
        TabOrder = 2
        OnChange = PageControl2Change
        object TabSheet3: TTabSheet
          Caption = 'Variables'
          ClientHeight = 168
          ClientWidth = 662
          object lstVariables: TListView
            Left = 2
            Height = 132
            Top = 34
            Width = 658
            Align = alClient
            BorderSpacing.Around = 2
            Columns = <            
              item
                AutoSize = True
                Caption = 'name'
                Width = 52
              end            
              item
                AutoSize = True
                Caption = 'value'
                Width = 604
              end>
            GridLines = True
            HideSelection = False
            ReadOnly = True
            ScrollBars = ssAutoBoth
            SortColumn = 0
            SortType = stText
            TabOrder = 0
            ViewStyle = vsReport
            OnShowHint = lstVariablesShowHint
          end
          object varListFlt: TListViewFilterEdit
            Left = 2
            Height = 30
            Hint = 'locate variables'
            Top = 2
            Width = 658
            ButtonWidth = 24
            Align = alTop
            BorderSpacing.Around = 2
            NumGlyphs = 1
            MaxLength = 0
            TabOrder = 1
            OnChange = varListFltChange
          end
        end
        object TabSheet4: TTabSheet
          Caption = 'Assembler'
          ClientHeight = 168
          ClientWidth = 662
          object lstAsm: TListView
            Left = 2
            Height = 164
            Top = 2
            Width = 658
            Align = alClient
            AutoSort = False
            AutoWidthLastColumn = True
            BorderSpacing.Around = 2
            Columns = <            
              item
                AutoSize = True
                Caption = 'address'
                Width = 64
              end            
              item
                Caption = 'instruction'
                Width = 592
              end>
            GridLines = True
            HideSelection = False
            ReadOnly = True
            ScrollBars = ssAutoBoth
            SortColumn = 0
            TabOrder = 0
            ViewStyle = vsReport
          end
        end
      end
    end
    object Panel3: TPanel[1]
      Left = 4
      Height = 30
      Top = 592
      Width = 664
      Align = alBottom
      AutoSize = True
      BorderSpacing.Around = 4
      BevelOuter = bvNone
      ClientHeight = 30
      ClientWidth = 664
      TabOrder = 1
      object btnSendCom: TSpeedButton
        Left = 659
        Height = 28
        Top = 1
        Width = 4
        Align = alRight
        AutoSize = True
        BorderSpacing.Around = 1
        OnClick = btnSendComClick
      end
      object Edit1: TComboBox
        Left = 0
        Height = 30
        Hint = 'enter a custom GDB command or the program input with ">"'
        Top = 0
        Width = 658
        Align = alClient
        AutoComplete = True
        AutoCompleteText = [cbactEnabled, cbactEndOfLineComplete, cbactSearchAscending]
        ItemHeight = 0
        MaxLength = 128
        OnKeyDown = Edit1KeyDown
        OnKeyUp = Edit1KeyUp
        TabOrder = 0
        TabStop = False
      end
    end
    object Splitter3: TSplitter[2]
      Cursor = crVSplit
      Left = 0
      Height = 5
      Top = 200
      Width = 672
      Align = alTop
      ResizeAnchor = akTop
    end
    object PageControl1: TPageControl[3]
      Left = 0
      Height = 200
      Hint = 'edit the command line and the environment of the debuger target'
      Top = 0
      Width = 672
      ActivePage = TabSheet1
      Align = alTop
      TabIndex = 0
      TabOrder = 3
      object TabSheet1: TTabSheet
        Caption = 'Call stack'
        ClientHeight = 168
        ClientWidth = 662
        object lstCallStack: TListView
          Left = 0
          Height = 168
          Hint = 'call stack'
          Top = 0
          Width = 662
          Align = alClient
          AutoSort = False
          Columns = <          
            item
              Caption = 'function'
              Width = 200
            end          
            item
              Caption = 'address'
              Width = 40
            end          
            item
              Caption = 'filename'
              Width = 100
            end          
            item
              Caption = 'line'
              Width = 328
            end>
          GridLines = True
          ReadOnly = True
          ScrollBars = ssAutoBoth
          TabOrder = 0
          ViewStyle = vsReport
          OnDblClick = lstCallStackDblClick
        end
      end
      object TabSheet2: TTabSheet
        Caption = 'Thread list'
        ClientHeight = 168
        ClientWidth = 662
        object lstThreads: TListView
          Left = 0
          Height = 168
          Hint = 'call stack'
          Top = 0
          Width = 662
          Align = alClient
          AutoSort = False
          AutoWidthLastColumn = True
          Columns = <          
            item
              AutoSize = True
              Caption = 'id'
              Width = 26
            end          
            item
              AutoSize = True
              Caption = 'state'
              Width = 48
            end          
            item
              AutoSize = True
              Caption = 'core'
              Width = 43
            end          
            item
              AutoSize = True
              Caption = 'function'
              Width = 71
            end          
            item
              AutoSize = True
              Caption = 'address'
              Width = 64
            end          
            item
              AutoSize = True
              Caption = 'filename'
              Width = 73
            end          
            item
              Caption = 'line'
              Width = 335
            end>
          GridLines = True
          ReadOnly = True
          ScrollBars = ssAutoBoth
          TabOrder = 0
          ViewStyle = vsReport
          OnDblClick = lstThreadsDblClick
        end
      end
      object TabSheet5: TTabSheet
        Caption = 'Debugee options'
        ClientHeight = 168
        ClientWidth = 662
        object dbgeeOptsEd: TTIPropertyGrid
          Left = 2
          Height = 164
          Top = 2
          Width = 658
          Align = alClient
          BorderSpacing.Around = 2
          CheckboxForBoolean = True
          DefaultValueFont.Color = clWindowText
          Filter = [tkInteger, tkChar, tkEnumeration, tkFloat, tkSet, tkMethod, tkSString, tkLString, tkAString, tkWString, tkVariant, tkArray, tkRecord, tkInterface, tkClass, tkObject, tkWChar, tkBool, tkInt64, tkQWord, tkDynArray, tkInterfaceRaw, tkProcVar, tkUString, tkUChar, tkHelper, tkFile, tkClassRef, tkPointer]
          Indent = 10
          NameFont.Color = clWindowText
          OnEditorFilter = dbgeeOptsEdEditorFilter
          PreferredSplitterX = 190
          SplitterX = 190
          ValueFont.Color = clGreen
        end
      end
    end
  end
  inherited toolbar: TDexedToolBar
    Top = 10
    Width = 664
    object btnStack: TDexedToolButton[0]
      Left = 238
      Hint = 'view call stack'
      Top = 0
      AutoSize = True
      Caption = 'btnStack'
      OnClick = btnStackClick
      resourceName = 'LIST'
      scaledSeparator = False
    end
    object btnReg: TDexedToolButton[1]
      Left = 210
      Hint = 'update CPU registers values'
      Top = 0
      AutoSize = True
      Caption = 'btnReg'
      OnClick = btnRegClick
      resourceName = 'PROCESSOR'
      scaledSeparator = False
    end
    object button4: TDexedToolButton[2]
      Left = 205
      Height = 28
      Top = 0
      AutoSize = True
      Caption = 'button4'
      Style = tbsDivider
      scaledSeparator = False
    end
    object btnPause: TDexedToolButton[3]
      Left = 97
      Hint = 'pause debugging'
      Top = 0
      AutoSize = True
      Caption = 'btnPause'
      OnClick = btnPauseClick
      resourceName = 'PAUSE'
      scaledSeparator = False
    end
    object btnStop: TDexedToolButton[4]
      Left = 41
      Hint = 'stop debugging'
      Top = 0
      AutoSize = True
      Caption = 'btnStop'
      OnClick = btnStopClick
      resourceName = 'STOP'
      scaledSeparator = False
    end
    object btnContinue: TDexedToolButton[5]
      Left = 69
      Hint = 'continue debugging'
      Top = 0
      AutoSize = True
      Caption = 'btnContinue'
      OnClick = btnContClick
      resourceName = 'PLAY'
      scaledSeparator = False
    end
    object btnNext: TDexedToolButton[6]
      Left = 125
      Hint = 'step to next instruction, including in calls'
      Top = 0
      AutoSize = True
      Caption = 'btnNext'
      DropdownMenu = mnuNext
      OnClick = btnNextClick
      Style = tbsDropDown
      resourceName = 'GO_DOWN'
      scaledSeparator = False
    end
    object btnOver: TDexedToolButton[7]
      Left = 165
      Hint = 'step to the next instruction, excluding calls'
      Top = 0
      AutoSize = True
      Caption = 'btnOver'
      DropdownMenu = mnuStep
      OnClick = btnOverClick
      Style = tbsDropDown
      resourceName = 'GO_JUMP'
      scaledSeparator = False
    end
    object btnVariables: TDexedToolButton[8]
      Left = 266
      Hint = 'update variables list'
      Top = 0
      AutoSize = True
      Caption = 'btnVariables'
      OnClick = btnVariablesClick
      resourceName = 'WATCH_WINDOW'
      scaledSeparator = False
    end
    object btnStart: TDexedToolButton[9]
      Left = 1
      Hint = 'start debugging'
      Top = 0
      AutoSize = True
      Caption = 'btnStart'
      DropdownMenu = mnuProjRunnable
      OnClick = btnStartClick
      Style = tbsDropDown
      resourceName = 'POWER'
      scaledSeparator = False
    end
    object btnWatch: TDexedToolButton[10]
      Left = 294
      Hint = 'add a watchpoint for the variable selected in the list'
      Top = 0
      AutoSize = True
      Caption = 'btnWatch'
      DropdownMenu = mnuWatch
      OnClick = btnWatchClick
      Style = tbsDropDown
      resourceName = 'CAMERA_ADD'
      scaledSeparator = False
    end
    object btnEval: TDexedToolButton[11]
      Left = 334
      Hint = 'evaluate either a variable from the list or a custom expression'
      Top = 0
      AutoSize = True
      Caption = 'btnEval'
      DropdownMenu = mnuEval
      OnClick = btnEvalClick
      Style = tbsDropDown
      resourceName = 'EVALUATE_FORMULA'
      scaledSeparator = False
    end
  end
  object Splitter2: TSplitter[2]
    Cursor = crVSplit
    Left = 0
    Height = 6
    Top = 0
    Width = 672
    Align = alTop
    ResizeAnchor = akTop
  end
  inherited contextMenu: TPopupMenu[3]
    Left = 56
    Top = 64
  end
  object mnuProjRunnable: TPopupMenu[4]
    Left = 56
    Top = 112
    object mnuSelProj: TMenuItem
      AutoCheck = True
      Caption = 'Debug project'
      Checked = True
      OnClick = mnuSelProjClick
    end
    object mnuSelRunnable: TMenuItem
      AutoCheck = True
      Caption = 'Debug runnable'
      OnClick = mnuSelRunnableClick
    end
    object mnuSelCustom: TMenuItem
      AutoCheck = True
      Caption = 'Debug custom executable...'
      OnClick = mnuSelCustomClick
    end
    object mnuDebugRecent: TMenuItem
      Caption = 'Debug recent executable'
    end
  end
  object mnuWatch: TPopupMenu[5]
    Left = 56
    Top = 160
    object mnuReadW: TMenuItem
      AutoCheck = True
      Caption = 'On read'
      OnClick = mnuReadWClick
    end
    object mnuWriteW: TMenuItem
      AutoCheck = True
      Caption = 'On write'
      Checked = True
      OnClick = mnuWriteWClick
    end
    object mnuReadWriteW: TMenuItem
      AutoCheck = True
      Caption = 'On read/write'
      OnClick = mnuReadWriteWClick
    end
  end
  object mnuNext: TPopupMenu[6]
    Left = 152
    Top = 112
    object mnuNextMachine: TMenuItem
      AutoCheck = True
      Caption = 'machine instruction'
    end
  end
  object mnuStep: TPopupMenu[7]
    Left = 152
    Top = 160
    object mnuStepMachine: TMenuItem
      AutoCheck = True
      Caption = 'machine instruction'
    end
  end
  object mnuEval: TPopupMenu[8]
    Left = 216
    Top = 168
    object mnuEvalSelected: TMenuItem
      AutoCheck = True
      Caption = 'Evaluate selected variable'
      Checked = True
      OnClick = mnuEvalSelectedClick
    end
    object mnuEvalDeref: TMenuItem
      AutoCheck = True
      Caption = 'Evaluate dereference of selected variable'
      OnClick = mnuEvalDerefClick
    end
    object mnuEvalCustom: TMenuItem
      AutoCheck = True
      Caption = 'Evaluate custom expression'
      OnClick = mnuEvalCustomClick
    end
  end
  object mnuEvalCompletion: TPopupMenu[9]
    Left = 288
    Top = 168
  end
end
